﻿using UnityEngine;
using System.Collections;

public class GameCamera : MonoBehaviour
{
    // The target we are following.
    public Transform target;

    // The time in seconds it takes for the camera to catch up.
    public float damping = 0.5f;

    private Vector3 vel = Vector3.zero;

    protected Camera[] cameras;

    public void Start()
    {
        cameras = GetComponentsInChildren<Camera>();
    }

    public void LateUpdate()
    {
        // Early out if we don't have a target
        if ( target == null )
        {
            return;
        }
        
        Camera camera = GetComponent<Camera>();
        Vector3 point = camera.WorldToViewportPoint(target.position);
        Vector3 delta = target.position - camera.ViewportToWorldPoint(new Vector3(0.5f, 0.5f, point.z));
        Vector3 destination = transform.position + delta;
        transform.position = Vector3.SmoothDamp(transform.position, destination, ref vel, damping);
    }
}