using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DestructibleModifierSounds : DestructibleModifier
{
    public AudioClip[] hurtSounds;
    public AudioClip[] healSounds;
    public AudioClip[] deathSounds;
    
    public override void HitPointsChanged( float amount, Destructor source, bool willDie )
    {
        if ( amount < 0.0f && !willDie )
        {
            Sounds.Play( hurtSounds );
        }
        else if ( amount > 0.0f )
        {
            Sounds.Play( healSounds );
        }
    }

    public override void Died( Destructor source )
    {
        Sounds.Play( deathSounds );
    }
}
