using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(Destructible))]
public class DestructibleModifier : MonoBehaviour
{
    protected Destructible destructible;
    protected bool readyToDie;

    public virtual void Awake() 
    {
        destructible = GetComponent<Destructible>();
    }

    public virtual float ModifyHitPointsChange( float amount, Destructor source )
    {
        return amount;
    }

    //this is called when hit points have been modified and are strictly not causing death
    public virtual void HitPointsChanged( float amount, Destructor source, bool willDie )
    {
        //nothing
    }

    public virtual bool ModifyShouldDie( bool shouldDie, Destructor source )
    {
        readyToDie = readyToDie || shouldDie;
        return shouldDie;
    }

    public virtual void Died( Destructor source )
    {
        //nothing
    }
}
