using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DestructibleModifierFaction : DestructibleModifier
{
    public Faction faction = Faction.None;

    public bool CanTakeDamageFrom( Destructor source )
    {
        return ( source == null || source.faction == Faction.None || faction == Faction.None || source.faction != faction );
    }

    public override float ModifyHitPointsChange( float amount, Destructor source )
    {
        if ( amount < 0.0f && !CanTakeDamageFrom( source ) )
        {
            return 0.0f;
        }

        return amount;
    }

    public override bool ModifyShouldDie( bool shouldDie, Destructor source )
    {
        if ( !CanTakeDamageFrom( source ) )
        {
            return false;
        }

        return shouldDie;
    }
}
