using UnityEngine;

//a Destructor causes damage to a Destructible when they touch
public class Destructor : MonoBehaviour
{
    public float damageAmount = 1;

    public Faction faction = Faction.None;

    public virtual void DoDamage( Destructible destructible )
    {
        DoDamage( destructible, damageAmount );
    }

    public virtual void DoDamage( Destructible destructible, float amount )
    {
        destructible.TakeDamage( amount, this );
    }
}