using System.Collections.Generic;
using UnityEngine;

public class DestructorTriggerCollision : DestructorTrigger
{
    public void OnCollisionEnter2D( Collision2D collision )
    {
        DoCollision( collision.collider );
    }

    public void OnTriggerEnter2D( Collider2D coll )
    {
        DoCollision( coll );
    }

    protected virtual void DoCollision( Collider2D coll )
    {
        Destructible hitDestructible = coll.GetComponent<Destructible>();
        
        if ( hitDestructible != null )
        {
            Trigger( hitDestructible );
        }
    }
}
