using UnityEngine;

public class OneTimeSound : MonoBehaviour
{
    public bool autoPlay = false;
    public bool dontDestroyOnLoad = true;
    
    protected bool hasPlayed = false;
    
    public void Start()
    {
        if ( autoPlay )
        {
            Play( GetComponent<AudioSource>().clip );
        }
        
        if ( dontDestroyOnLoad )
        {
            DontDestroyOnLoad( gameObject );
        }
    }
    
    public void Play( AudioClip sound )
    {
        GetComponent<AudioSource>().clip = sound;
        GetComponent<AudioSource>().Play();
        hasPlayed = true;
    }
    
    public void Update()
    {
        if ( hasPlayed && !GetComponent<AudioSource>().isPlaying )
        {
            Object.Destroy( gameObject );
        }
    }
}