﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Game : MonoBehaviour
{
    public static Game Instance
    {
        get;
        private set;
    }

    public void Awake()
    {
        if ( Instance != null && Instance != this )
        {
            Destroy( gameObject );
            return;
        }

        Instance = this;
        DontDestroyOnLoad( gameObject );
    }

    public bool WonLevel
    {
        get
        {
            return World.Instance != null && World.Instance.CurrentLevel != null && World.Instance.CurrentLevel.WasWon;
        }
    }

    public bool LostLevel
    {
        get
        {
            return World.Instance != null && World.Instance.CurrentLevel != null && World.Instance.CurrentLevel.WasLost;
        }
    }

    public void GoToNextLevel()
    {
        World.Instance.GoToNextLevel();
    }

    public void RestartLevel()
    {
        World.Instance.RestartCurrentLevel();
    }
}
