﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FrictionMoverModifier : MoverModifier
{
    [Tooltip("The friction applied to mover. The higher the friction the faster it stops")]
    [SerializeField]
    protected float frictionValue = 0.9f;

    public override Vector2 ModifyVelocity( Vector2 vel )
    {
        return vel * (1.0f - frictionValue * Time.deltaTime);
    }
}
