﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StarUI : MonoBehaviour
{
    [Tooltip("You need to have aquired this many stars to show this one.")]
    [SerializeField]
    protected int starNumber = 1;

    [Tooltip("Use this to control what's shown etc.")]
    [SerializeField]
    protected Animator animator;

    [Tooltip("Animator bool for whether or not this star has been collected.")]
    [SerializeField]
    protected string animatorBoolGotStar;

    [Tooltip("Animator bool for whether or not this star is showing.")]
    [SerializeField]
    protected string animatorBoolShowing;

    public void Update()
    {
        bool gotStar = Star.CurrentStarCount >= starNumber;
        animator.SetBool( animatorBoolGotStar, gotStar );
    }

    public void PlayAppear()
    {
        animator.SetBool( animatorBoolShowing, true );
    }
}
