﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StationaryEnemyController : EnemyController
{
    private Vector2 basePosition;
    private float distanceCutoff = 0.25f;

    void Start()
    {
        basePosition = transform.position;
    }

    public void Update()
    {
        Collider2D attractionCollider = base.FindClosestTargetInRange(transform.position, attractionRadius, attractionLayerMask);

        if (attractionCollider!=null)
        {
            base.MoveTowardsPoint(attractionCollider.transform.position);
        }
        else if( Vector2.Distance( transform.position, basePosition) > distanceCutoff)
        {
            base.MoveTowardsPoint(basePosition);
        }
    }

    public void OnDrawGizmos()
    {
        Gizmos.color = Color.red;
        Gizmos.DrawWireSphere(basePosition, attractionRadius);
    }
}
