﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlaySound : MonoBehaviour
{
    [Tooltip("One of these sounds will be played randomly.")]
    [SerializeField]
    protected AudioClip[] sounds;

    [Tooltip("If true, we'll play on start.")]
    [SerializeField]
    protected bool playOnStart = false;

    protected AudioSource audioSource;

    public void Awake()
    {
        audioSource = GetComponent<AudioSource>();
    }

    public void Start()
    {
        if ( playOnStart )
        {
            Play();
        }
    }

    public void Play()
    {
        Sounds.Play( sounds, audioSource );
    }
}
